# How to retrieve domain, link and folder identifiers from the Short.io URLs and API

Copy for LLM[View as Markdown](</articles/api-reference/Technical questions/how-to-retrieve-domain-link-and-folder-identifiers-from-the-short.io-urls-and-api.md>)

The instructions below will help you locate the unique IDs of the **Short.io** domains, links and folders.

Before you begin, sign in to your [Short.io account](https://short.io/).

## How to find DomainID[​](#how-to-find-domainid "Direct link to How to find DomainID")

1. In the **Dashboard** navigate to the **Branded links** panel.

2. You can extract the domain identifier from the URL address:

   ![Browser URL bar showing domain ID in the Short.io dashboard address](/assets/images/api-and-technical-questions-how-to-retrieve-domain-link-and-folder-identifiers-from-the-short.io-urls-and-api-screenshotfrom2025-01-1515-54-21-de42b57a-769e8f44a0507d3cc323bafe0e5ff8c0.png)

   ![URL address bar with DomainID number highlighted](/assets/images/api-and-technical-questions-how-to-retrieve-domain-link-and-folder-identifiers-from-the-short.io-urls-and-api-screenshotfrom2024-11-2815-40-18-f8155984-ee97ea0d0b44b594086792b0794f17ee.png)

   In this case, ***DomainID*** = 1165787\*\*.\*\*

## How to find LinkID (IdString or linkIdString)[​](#how-to-find-linkid-idstring-or-linkidstring "Direct link to How to find LinkID (IdString or linkIdString)")

1. In the **Dashboard** navigate to the **Branded links** panel.

2. Click on  to edit a link:

   ![Branded links list with edit pencil icon highlighted](/assets/images/api-and-technical-questions-how-to-retrieve-domain-link-and-folder-identifiers-from-the-short.io-urls-and-api-screenshotfrom2025-01-1511-50-16-c2da5190-fdd68f2b9fdfc6d60fd2b42b72945d3c.png)

3. You can extract the link identifier from the URL address:

   ![URL address bar with link ID string highlighted in the edit page URL](/assets/images/api-and-technical-questions-how-to-retrieve-domain-link-and-folder-identifiers-from-the-short.io-urls-and-api-screenshotfrom2024-11-2815-05-28-503d54b6-b626939d1405b307f38b465cb118fd0d.png)

   In this case, ***LinkID =*** lnk\_4Th1\_2sDCsL97sD1WegKXdEVoK\*\*.\*\*

## How to find FolderID[​](#how-to-find-folderid "Direct link to How to find FolderID")

1. In the **Dashboard** navigate to the **Branded links** panel.

2. Click on a folder to display its links:

   ![Dashboard URL with folder ID parameter highlighted in the address bar](/assets/images/api-and-technical-questions-how-to-retrieve-domain-link-and-folder-identifiers-from-the-short.io-urls-and-api-screenshotfrom2024-11-2815-21-41-780b79a4-ea613ab71f9b14e681db0afaf4005027.png)

3. You can extract the folder identifier from the URL address, which in this case is:

   ***FolderId*** = OSE5BWDxBxdAS-oBVN-0f

## How to find identifiers using the API[​](#how-to-find-identifiers-using-the-api "Direct link to How to find identifiers using the API")

You can use the [Short.io API reference](https://developers.short.io/reference/get_links-expand) page to extract specific **Domain**, **Link** and **Folder IDs**.

Before you begin, make sure \[you have created an API key]\(/articles/api-reference/Technical questions/how-to-use-the-short.io-api#h\_69a635db5a).

#### Steps to follow[​](#steps-to-follow "Direct link to Steps to follow")

1. Sign in to your [Short.io account](https://short.io/).

2. From the **Branded links** menu click on  to edit a link:

   ![Branded links list with edit pencil icon highlighted](/assets/images/api-and-technical-questions-how-to-retrieve-domain-link-and-folder-identifiers-from-the-short.io-urls-and-api-screenshotfrom2025-01-1511-50-16-c2da5190-fdd68f2b9fdfc6d60fd2b42b72945d3c.png)

3. Copy the link's slug from the **Basic link editing** section:

   ![Link editing page with Link slug field highlighted](/assets/images/api-and-technical-questions-how-to-retrieve-domain-link-and-folder-identifiers-from-the-short.io-urls-and-api-screenshotfrom2024-11-2813-54-59-ca0135f0-7cb0b1a30cbd602db3e7d2c342d7f340.png)

4. Open the [Short.io API Link info](https://developers.short.io/reference/get_links-expand) page.

5. In the **Query params** panel enter the following information:

   * domain name

   * link slug (**path part of your link**)

   ![API Link info page with domain and path query params filled in](/assets/images/api-and-technical-questions-how-to-retrieve-domain-link-and-folder-identifiers-from-the-short.io-urls-and-api-screenshotfrom2024-11-2814-11-25-66753529-742b2e875ddd2023d432901110cdc99c.png)

6. In the **Credentials** section enter your API key:

   ![Credentials section with API key header and Try It button highlighted](/assets/images/api-and-technical-questions-how-to-retrieve-domain-link-and-folder-identifiers-from-the-short.io-urls-and-api-image-5f21aa33-424d71da3694197967e76747a93d8e57.png)

7. Click on **Try it**.

8. In the **Response** panel you can review the result:

   ![API 200 response with link details including idString and copy button](/assets/images/api-and-technical-questions-how-to-retrieve-domain-link-and-folder-identifiers-from-the-short.io-urls-and-api-screenshotfrom2024-11-2814-39-45-71913fa7-44c0e6409689483b8890e36dd5a68024.png)

9. Click on to copy the entire response and paste it in a text editor. The following information is available:

   * **idString** - your link identifier

   * **FolderId** - if your link belongs to a folder, this is its identifier

   * **DomainID** - your domain identifier

   ![JSON response with idString, FolderId, and DomainId fields highlighted](/assets/images/api-and-technical-questions-how-to-retrieve-domain-link-and-folder-identifiers-from-the-short.io-urls-and-api-screenshotfrom2024-11-2814-44-25-4f045048-a47a285a3b762fab07f4b99821922b1a.png)
